/***************************************************************************
                          basicelement.cpp  -  description
                             -------------------
    begin                : Fri Jan 10 2003
    copyright            : (C) 2003 by Volker Nannen
    email                : volker@nannen.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "basicelement.h"

BasicElement::BasicElement(const int ID, const QString elementName)
  : BasicItem(ID),
    XML_Element(elementName),
    valid(false),
    parentCollection(0)
{;}
BasicElement::~BasicElement(){
//  cerr << tagName() << ":" << elementName << " is being destroyed.\n";
}
void BasicElement::xml_list(){
  XML_Element::xml_list();
  xml_int("ID", ID, ID, HIDE);
  xml_setID(ID);
}

void BasicElement::setID(const int newID){
  BasicItem::setID(newID);
  xml_setID(newID); 
}

void BasicElement::setValid(const bool yes){ 
  valid=yes; 
}

void BasicElement::toggleColor(const bool /*yes*/){;}

void BasicElement::mousePressed(const QMouseEvent * /*event*/){;}

void BasicElement::mouseDoubleClicked(const QMouseEvent * /*event*/){;}

void BasicElement::mouseMoved(const QMouseEvent * /*event*/){;}

void BasicElement::mouseReleased(const QMouseEvent * /*event*/){;}

