/***************************************************************************
                          enhancedprogressbar.h  -  description
                             -------------------
    begin                : Wed Jan 15 2003
    copyright            : (C) 2003 by Volker Nannen
    email                : volker@nannen.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENHANCEDPROGRESSBAR_H
#define ENHANCEDPROGRESSBAR_H

#include <qprogressdialog.h>

class EnhancedProgressBar{
public:
  EnhancedProgressBar(EnhancedProgressBar * other, QString message, int limit,
                const int minimumDuration=1500);
  EnhancedProgressBar(QString message, const int limit, const int minimumDuration=1500);
  ~EnhancedProgressBar();

  bool check();
  bool check(const int counter);
  bool check(const int skip, const int counter) { return ( ! (counter & skip) )
                                                          && check(counter) ; }

private:
  void init(const int duration);

private:
  bool ownDialog;
  QProgressDialog * dialog;
  QString oldText;
  int oldSteps, oldProgress;

};

#endif
