/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Mar 1 2002
    copyright            : (C) 2002 by Volker Nannen
    email                : volker@nannen.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dataviewer.h"

#include <qapplication.h>
#include <qcanvas.h>

int main( int argc , char**argv )
{
  QApplication app( argc, argv ) ;

  StatisticalDataViewer sdv(0, "Statistical Data Viewer") ;
  sdv.resize( sdv.sizeHint() ) ;

  app.setMainWidget( & sdv ) ;

  sdv.show() ;

  QObject::connect( qApp,
		    SIGNAL( lastWindowClosed() ),
		    qApp,
		    SLOT(quit()) ) ;

  return app.exec() ;
}
