/***************************************************************************
                          data.h  -  description
                             -------------------
    begin                : Sun Mar 10 2002
    copyright            : (C) 2002 by Volker Nannen
    email                : volker@nannen.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef DATA_H
#define DATA_H

class QString;

QString boolToQString(const bool & yes);
bool QStringToBool(const QString & yes);

double gaussianNoise(double sigma = 1);
double cauchyNoise(double cauchyA=0, double cauchyB=1);
double exponentialNoise(double lambda = 1);
double uniformNoise(double lowerLimit = -1, double upperLimit =  1);

#endif
