/***************************************************************************
                          precisioneditor.h  -  description
                             -------------------
    begin                : ?' ??? 16 2002
    copyright            : (C) 2002 by Volker Nannen
    email                : volker@nannen.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PRECISIONEDITOR_H
#define PRECISIONEDITOR_H

#include <qdialog.h>

class Polynomial;
class QLabel;
class QLineEdit;

class PrecisionEditor : public QDialog  {
    Q_OBJECT

public:
  PrecisionEditor(Polynomial * polynomial);
  ~PrecisionEditor();
  void writePrecision();

public slots:
  void apply();
  void reset();

private:
  void buildDialog();

private:
  Polynomial * polynomial;
  QLabel ** label, * sumLabel;
  QLineEdit ** input;
  int * array, * backupArray;
  int max, current, precision;
};

#endif
