/***************************************************************************
                          sdvstatusbar.cpp  -  description
                             -------------------
    begin                : Wed Jan 15 2003
    copyright            : (C) 2003 by Volker Nannen
    email                : volker@nannen.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sdvstatusbar.h"

#include <qlabel.h>
#include <qhbox.h>

SDVStatusBar::SDVStatusBar(QWidget * parent, const char * name)
  : QStatusBar(parent, name)
{
  QHBox * positionBox = new QHBox(this, "position indicator");
  new QLabel("  x:  ", positionBox);
  labelX = new QLabel(positionBox);
  labelX->setFixedWidth(100);
  new QLabel(QString("  y:  "), positionBox);
  labelY = new QLabel(positionBox);
  labelY->setFixedWidth(100);
  addWidget(positionBox, 0, true);
}
SDVStatusBar::~SDVStatusBar(){
}
